function OnWorldInitialized()
	--Prevent repeat init on saved games.
	local key = "TANKSY_MAP_INIT"
	local is_initialized = GlobalsGetValue( key )
	if( is_initialized == "yes" ) then
		return
	end
	GlobalsSetValue( key, "yes" )

	--Clean up biome entrances.
	LoadPixelScene("data/biome_impl/clean_entrance.png", "", 128, 1534, "", true, true)
	LoadPixelScene("data/biome_impl/clean_entrance.png", "", 128, 3070, "", true, true)
	LoadPixelScene("data/biome_impl/clean_entrance.png", "", 128, 6655, "", true, true)
	LoadPixelScene("data/biome_impl/clean_entrance.png", "", 128, 10750, "", true, true)

	GamePrintImportant("The world shuffles beneath you...", "")
end

ModMagicNumbersFileAdd("mods/shuffled_biomes/data/new_magic_numbers.xml")